Subject: Re: [PATCH 1/8] ibm_newemac: Fix possible lockup on close

From: Josh Boyer <[email-masked]>
Date: Wed, 21 Nov 2007 09:43:50 -0600

On Wed, 21 Nov 2007 16:41:23 +0100
Christoph Hellwig <[email-masked]> wrote:

> On Wed, Nov 21, 2007 at 05:06:39PM +1100, Benjamin Herrenschmidt wrote:
> > It's a bad idea to call flush_scheduled_work from within a
> > netdev->stop because the linkwatch will occasionally take the
> > rtnl lock from a workqueue context, and thus that can deadlock.
> > 
> > This reworks things a bit in that area to avoid the problem.
> 
> So from the name of the driver you want to keep the previous emac
> driver around.  Is there a good reason for that?

It's being kept around until arch/ppc dies.  Then things should get
renamed.

josh